Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleColor Class Reference

参照方法が複数ある柔軟なColor型を扱うクラス。 More...

Inheritance diagram for FlexibleColor:

## Public Member Functions
| FlexibleColor ()
| FlexibleColorデフォルトコンストラクタ More...
| FlexibleColor (Color value)
| FlexibleColorコンストラクタ More...
| FlexibleColor (ColorParameterReference parameter)
| FlexibleColorコンストラクタ More...
| FlexibleColor (InputSlotColor slot)
| FlexibleColorコンストラクタ More...
Public Member Functions inherited from FlexibleField< Color >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator Color (FlexibleColor flexible)
| FlexibleColorをColorにキャスト。 More...
static | operator FlexibleColor (Color value)
| ColorをFlexibleColorにキャスト。 More...
Static Public Member Functions inherited from FlexibleField< Color >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Color >
T | _Value
| 固定値 More...
AnyParameterReference | _Parameter
| パラメータ参照 More...
InputSlotAny | _Slot
| データ入力スロット More...
Properties inherited from FlexibleField< Color >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なColor型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleColor | ( |  | ) |

FlexibleColorデフォルトコンストラクタ

FlexibleColor | ( | Color | value | ) |

FlexibleColorコンストラクタ

Parameters

  value | 値

FlexibleColor | ( | ColorParameterReference | parameter | ) |

FlexibleColorコンストラクタ

Parameters

  parameter | パラメータ

FlexibleColor | ( | InputSlotColor | slot | ) |

FlexibleColorコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

static operator Color | ( | FlexibleColor | flexible | ) |
| explicit static

FlexibleColorをColorにキャスト。

Parameters

  flexible | FlexibleColor

static operator FlexibleColor | ( | Color | value | ) |
| explicit static

ColorをFlexibleColorにキャスト。

Parameters

  value | Color